<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>cloud-modules</artifactId>
        <groupId>com.muyu</groupId>
        <version>3.6.3</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>cloud-modules-operations</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
    </properties>

   <dependencies>
       <dependency>
           <groupId>com.alibaba.cloud</groupId>
           <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
       </dependency>

       <!-- SpringCloud Alibaba Nacos Config -->
       <dependency>
           <groupId>com.alibaba.cloud</groupId>
           <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
       </dependency>

       <!-- SpringCloud Alibaba Sentinel -->
       <dependency>
           <groupId>com.alibaba.cloud</groupId>
           <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
       </dependency>

       <!-- SpringBoot Actuator -->
       <dependency>
           <groupId>org.springframework.boot</groupId>
           <artifactId>spring-boot-starter-actuator</artifactId>
       </dependency>

       <!-- Mysql Connector -->
       <dependency>
           <groupId>com.mysql</groupId>
           <artifactId>mysql-connector-j</artifactId>
       </dependency>

       <!-- MuYu Common DataSource -->
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-datasource</artifactId>
       </dependency>

       <!-- MuYu Common DataScope -->
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-datascope</artifactId>
       </dependency>

       <!-- MuYu Common Log -->
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-log</artifactId>
       </dependency>

       <!-- 接口模块 -->
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-api-doc</artifactId>
       </dependency>

       <!-- XllJob定时任务 -->
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-xxl</artifactId>
       </dependency>
       <dependency>
           <groupId>org.springframework.boot</groupId>
           <artifactId>spring-boot-actuator</artifactId>
           <version>2.7.18</version>
       </dependency>
       <dependency>
           <groupId>org.springframework.boot</groupId>
           <artifactId>spring-boot-starter-web</artifactId>
       </dependency>
       <dependency>
           <groupId>org.springframework</groupId>
           <artifactId>spring-web</artifactId>
       </dependency>

       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-saas</artifactId>
       </dependency>
       <dependency>
           <groupId>org.springframework.amqp</groupId>
           <artifactId>spring-rabbit</artifactId>
       </dependency>
       <dependency>
           <groupId>com.muyu</groupId>
           <artifactId>cloud-common-enterprise-operation</artifactId>
           <version>3.6.3</version>
           <scope>compile</scope>
       </dependency>

   </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
